#ifndef _MAIN_H
#define _MAIN_H

#include <qtabwidget.h>
#include <kcmodule.h>
#include <kglobal.h>
#include <klocale.h>
#include "LookNFeelConfig.h"
#include "dataview.h"

class GofaiModule : public KCModule
{
  Q_OBJECT

public:

  GofaiModule(QWidget *parent, const char *name);
  KConfigBase *config;

  void load();
  void save();
  void defaults();
  QString quickHelp() const;

protected slots:
  void moduleChanged(bool state);
private:

  QTabWidget   *tab;

  KDataviewConfig *dataview;
  LookNFeelConfig   *looknfeel;
};

#endif
