/*
    This file is part of the KDE system
    Copyright (C)  1999 Boloni Laszlo

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/
/*
 * gofaiLinkEditor.h
 *
 */

#ifndef __GOFAI_LINK_EDITOR_H
#define __GOFAI_LINK_EDITOR_H

#include <kdialogbase.h>
#include <klineedit.h>
#include <qpushbutton.h>
#include <qslider.h>
#include <kcombobox.h>
#include "gofaiItem.h"


class gofaiLinkEditor : public KDialogBase {
   Q_OBJECT
    QPushButton *reverse;
    KLineEdit *name;
    KComboBox *type;
    KLineEdit *strength;
    QSlider *confidence;
 public:
    bool changed;
    gofaiLinkEditor(QWidget *parent);
    void setFields(gofaiItem *it);
    void getFields(gofaiItem *it);
 public slots:
       //    void enableOk();
    void setChanged();
};


#endif
